# FairMQ: fair::mq::sdk::DDSTopology Class Reference

fair::mq::sdk::DDSTopology Class Reference

Represents a DDS topology. More...

`#include <fairmq/sdk/DDSTopology.h>`

## Classes

struct | Impl

## Public Types

using | Path = boost::filesystem::path

## Public Member Functions

| DDSTopology (Path topoFile, DDSEnvironment env=DDSEnvironment())
| Construct from file. More...
| DDSTopology (dds::topology_api::CTopology nativeTopology, DDSEnv env={})
| Construct with already existing native DDS API objects. More...
auto | GetEnv () const -> DDSEnvironment
| Get associated DDS environment.
auto | GetTopoFile () const -> Path
| Get path to DDS topology xml, if it is known. More...
auto | GetNumRequiredAgents () const -> int
| Get number of required agents for this topology.
auto | GetTasks (const std::string &="") const -> std::vector< DDSTask >
| Get list of tasks in this topology, optionally matching provided path.
auto | GetCollections () const -> std::vector< DDSCollection >
| Get list of tasks in this topology.
auto | GetName () const -> std::string
| Get the name of the topology.

## Friends

auto | operator<< (std::ostream &, const DDSTopology &) -> std::ostream &

## Detailed Description

Represents a DDS topology.

## Constructor & Destructor Documentation

## DDSTopology() [1/2]

fair::mq::sdk::DDSTopology::DDSTopology | ( | Path | topoFile,
|  | DDSEnvironment | env = `DDSEnvironment()`
| ) |  |

explicit

Construct from file.

Parameters

  topoFile | DDS topology xml file
  env | DDS environment

## DDSTopology() [2/2]

fair::mq::sdk::DDSTopology::DDSTopology | ( | dds::topology_api::CTopology | nativeTopology,
|  | DDSEnv | env = `{}`
| ) |  |

explicit

Construct with already existing native DDS API objects.

Parameters

  nativeTopology | Existing and initialized CTopology
  env | Optional DDSEnv

## Member Function Documentation

## GetTopoFile()

auto fair::mq::sdk::DDSTopology::GetTopoFile | ( |  | ) | const -> Path

Get path to DDS topology xml, if it is known.

Exceptions

  std::runtime_error |

The documentation for this class was generated from the following files:

- fairmq/sdk/DDSTopology.h
- fairmq/sdk/DDSTopology.cxx

privacy